Results 1 to 7 of 7

Thread: Uninstalling Eclipse from Ubuntu 18.04 Command line does not work

  1. #1
    Join Date
    Jul 2013
    Location
    Mumbai, India
    Beans
    14
    Distro
    Ubuntu 18.04 Bionic Beaver

    Uninstalling Eclipse from Ubuntu 18.04 Command line does not work

    Hello,
    I had installed Eclipse Java IDE software a year ago in Ubuntu 18.04. It comes under my apps as eclilpse-workspace - Eclipse IDE with this icon.

    Screenshot from 2019-11-01 10-16-11.png
    and now am trying to remove it. But it doesn't get removed when I type this in the command line
    Code:
    ramasea1 ~ $ sudo apt-get autoremove eclipse*
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    E: Unable to locate package eclipse-workspace
    How should I remove this Eclipse software then? Could someone please help?
    Regards,
    Ajay

  2. #2
    Join Date
    Jan 2010
    Location
    Wheeling WV USA
    Beans
    1,477
    Distro
    Xubuntu 18.04 Bionic Beaver

    Re: Uninstalling Eclipse from Ubuntu 18.04 Command line does not work

    the subcommand you need to use instead of "autoremove" is "purge" (it also remove configuration files). also the "*" only matches file names. to match packages you need to put it in quotes and also use regular expression format. try this command:
    Code:
    apt-get purge 'eclipse.*'
    What do you call someone who speaks 3 languages? Trilingual.
    What do you call someone who speaks 2 languages? Bilingual.
    What do you call someone who speaks 1 language? American.

  3. #3
    Join Date
    Mar 2010
    Location
    Squidbilly-Land
    Beans
    Hidden!
    Distro
    Ubuntu Mate 16.04 Xenial Xerus

    Re: Uninstalling Eclipse from Ubuntu 18.04 Command line does not work

    autoremove isn't the option, as Skaperen says.
    Code:
    sudo apt-get remove  eclipse*
    or
    Code:
    sudo apt-get remove --purge  eclipse*
    There are other tools for package management, but only apt-get allows using wildcards. The others require the exact, correct, package name(s) be used.

    If you want a GUI, check out synaptic.

    More and more, Ubuntu will be installing snap packages instead of the Debian packages which have been used since the beginning. snaps require removal using the "snap remove" command.

    As for
    Code:
    apt-get autoremove
    ... the manpage says:
    Code:
           autoremove (and the auto-remove alias since 1.1)
               autoremove is used to remove packages that were automatically
               installed to satisfy dependencies for other packages and are now no
               longer needed.
    It doesn't work on any specific package. It is for cleaning up other, automatically installed, dependencies. Another command which should be run at least monthly is apt-get autoclean:
    Code:
           autoclean (and the auto-clean alias since 1.1)
               Like clean, autoclean clears out the local repository of retrieved
               package files. The difference is that it only removes package files
               that can no longer be downloaded, and are largely useless. This
               allows a cache to be maintained over a long period without it
               growing out of control. The configuration option
               APT::Clean-Installed will prevent installed packages from being
               erased if it is set to off.
    autoclean and autoremove should both be run monthly, IMHO. This is assuming a normal Ubuntu setup with weekly patching. Both work with apt, so we can save 4 characters.

  4. #4
    Join Date
    Jul 2013
    Location
    Mumbai, India
    Beans
    14
    Distro
    Ubuntu 18.04 Bionic Beaver

    Re: Uninstalling Eclipse from Ubuntu 18.04 Command line does not work

    I am not able to remove Eclipse IDE with either command. I am pasting the output of these two commands below :-

    sudo apt-get remove --purge eclipse*

    Code:
    ramasea1 ~ $ sudo apt-get remove --purge  eclipse*
    [sudo] password for ramasea1: 
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    E: Unable to locate package eclipse-workspace
    and this command
    sudo apt-get purge 'eclipse.*'
    Code:
    ramasea1 ~ $ sudo apt-get purge 'eclipse.*'
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Note, selecting 'eclipse-rse' for regex 'eclipse.*'
    Note, selecting 'eclipse-xsd-sdk' for regex 'eclipse.*'
    Note, selecting 'eclipse-cdt-launch-remote' for regex 'eclipse.*'
    Note, selecting 'libeclipse-e4-core-di-extensions-supplier-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-rpm-editor' for regex 'eclipse.*'
    Note, selecting 'libeclipse-ui-ide-application-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-mylyn-versions-cvs' for regex 'eclipse.*'
    Note, selecting 'eclipse-platform-common' for regex 'eclipse.*'
    Note, selecting 'libeclipse-core-resources-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-jdt-apt-pluggable-core-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-mylyn-tasks-github' for regex 'eclipse.*'
    Note, selecting 'eclipse-cdt-qt' for regex 'eclipse.*'
    Note, selecting 'eclipse-cdt-valgrind' for regex 'eclipse.*'
    Note, selecting 'libeclipse-ui-monitoring-java' for regex 'eclipse.*'
    Note, selecting 'golang-github-eclipse-paho.mqtt.golang-dev' for regex 'eclipse.*'
    Note, selecting 'libeclipse-e4-ui-bindings-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-jdt-launching-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-wtp' for regex 'eclipse.*'
    Note, selecting 'libeclipse-ui-console-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-pde-gcj' for regex 'eclipse.*'
    Note, selecting 'eclipse-xsd' for regex 'eclipse.*'
    Note, selecting 'libequinox-p2-touchpoint-eclipse-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-ltk-ui-refactoring-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-jdt-junit4-runtime-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-e4-core-commands-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-gef-doc' for regex 'eclipse.*'
    Note, selecting 'eclipse-source' for regex 'eclipse.*'
    Note, selecting 'eclipse-mylyn-context-pydev' for regex 'eclipse.*'
    Note, selecting 'eclipse-wtp-servertools' for regex 'eclipse.*'
    Note, selecting 'libeclipse-ui-workbench-texteditor-java' for regex 'eclipse.*'
    Note, selecting 'redeclipse-data' for regex 'eclipse.*'
    Note, selecting 'libeclipse-ui-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-osgi-util-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-egit' for regex 'eclipse.*'
    Note, selecting 'eclipse-wtp-ws' for regex 'eclipse.*'
    Note, selecting 'libeclipse-emf-common-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-e4-ui-model-workbench-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-core-contenttype-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-core-databinding-beans-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-wtp-xmltools' for regex 'eclipse.*'
    Note, selecting 'libeclipse-e4-ui-dialogs-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-egit-mylyn' for regex 'eclipse.*'
    Note, selecting 'eclipse-ptp-rdt' for regex 'eclipse.*'
    Note, selecting 'libeclipse-e4-core-services-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-mylyn' for regex 'eclipse.*'
    Note, selecting 'redeclipse-common' for regex 'eclipse.*'
    Note, selecting 'libeclipse-debug-ui-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-ui-views-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-e4-ui-workbench3-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-pydev-data' for regex 'eclipse.*'
    Note, selecting 'eclipse-cdt-jni' for regex 'eclipse.*'
    Note, selecting 'libeclipse-e4-ui-progress-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-jsch-core-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-mylyn-context-cdt' for regex 'eclipse.*'
    Note, selecting 'eclipse-wtp-webtools' for regex 'eclipse.*'
    Note, selecting 'libeclipse-team-ui-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-e4-core-di-extensions-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-subclipse-graph' for regex 'eclipse.*'
    Note, selecting 'eclipse-anyedit' for regex 'eclipse.*'
    Note, selecting 'eclipse-jdt-gcj' for regex 'eclipse.*'
    Note, selecting 'eclipse-emf-sdk' for regex 'eclipse.*'
    Note, selecting 'libeclipse-osgi-compatibility-state-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-e4-ui-workbench-renderers-swt-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-jdt-annotation-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-e4-ui-css-swt-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-help-java' for regex 'eclipse.*'
    Note, selecting 'eclipse' for regex 'eclipse.*'
    Note, selecting 'libeclipse-ui-forms-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-remote-services-api' for regex 'eclipse.*'
    Note, selecting 'libeclipse-core-expressions-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-emf-ecore-xmi-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-urischeme-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-core-variables-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-titan' for regex 'eclipse.*'
    Note, selecting 'libeclipse-compare-java' for regex 'eclipse.*'
    Note, selecting 'libequinox-p2-publisher-eclipse-java' for regex 'eclipse.*'
    Note, selecting 'libcommons-jci-eclipse-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-search-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-subclipse-mylyn' for regex 'eclipse.*'
    Note, selecting 'libeclipse-ui-browser-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-core-jobs-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-core-filesystem-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-jface-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-core-commands-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-mylyn-context-jdt' for regex 'eclipse.*'
    Note, selecting 'libeclipse-e4-core-contexts-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-rse-sdk' for regex 'eclipse.*'
    Note, selecting 'libeclipse-jface-text-java' for regex 'eclipse.*'
    Note, selecting 'redeclipse' for regex 'eclipse.*'
    Note, selecting 'libeclipse-jface-databinding-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-osgi-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-cdt-pkg-config' for regex 'eclipse.*'
    Note, selecting 'eclipse-platform' for regex 'eclipse.*'
    Note, selecting 'libeclipse-debug-core-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-debian-helper' for regex 'eclipse.*'
    Note, selecting 'libeclipse-text-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-jdt-astview-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-cdt-perf' for regex 'eclipse.*'
    Note, selecting 'eclipse-pydev' for regex 'eclipse.*'
    Note, selecting 'libeclipse-e4-ui-workbench-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-core-externaltools-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-plugin-cvs' for regex 'eclipse.*'
    Note, selecting 'libeclipse-e4-ui-services-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-jdt-compiler-apt-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-core-net-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-ui-genericeditor-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-mylyn-context-pde' for regex 'eclipse.*'
    Note, selecting 'libeclipse-ui-workbench-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-e4-ui-widgets-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-e4-core-di-annotations-java' for regex 'eclipse.*'
    Note, selecting 'libeclipselink-java-doc' for regex 'eclipse.*'
    Note, selecting 'libeclipse-jdt-ui-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-e4-ui-css-swt-theme-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-core-databinding-observable-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-core-databinding-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-cdt-profiling-framework' for regex 'eclipse.*'
    Note, selecting 'libeclipse-team-genericeditor-diff-extension-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-changelog' for regex 'eclipse.*'
    Note, selecting 'libeclipse-jdt-apt-core-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-cdt' for regex 'eclipse.*'
    Note, selecting 'libeclipse-emf-ecore-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-jdt-core-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-subclipse' for regex 'eclipse.*'
    Note, selecting 'libeclipse-e4-core-di-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-common-nls' for regex 'eclipse.*'
    Note, selecting 'eclipse-cdt-profiling-framework-remote' for regex 'eclipse.*'
    Note, selecting 'eclipse-emf' for regex 'eclipse.*'
    Note, selecting 'eclipse-wtp-xsl' for regex 'eclipse.*'
    Note, selecting 'eclipse-emf-examples' for regex 'eclipse.*'
    Note, selecting 'libeclipse-e4-ui-di-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-jgit' for regex 'eclipse.*'
    Note, selecting 'eclipse-cdt-autotools' for regex 'eclipse.*'
    Note, selecting 'eclipse-mylyn-tasks-trac' for regex 'eclipse.*'
    Note, selecting 'eclipse-gef' for regex 'eclipse.*'
    Note, selecting 'eclipse-eclox' for regex 'eclipse.*'
    Note, selecting 'libeclipse-ui-externaltools-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-core-filebuffers-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-e4-ui-workbench-swt-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-platform-data' for regex 'eclipse.*'
    Note, selecting 'libeclipse-ui-navigator-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-mylyn-builds-hudson' for regex 'eclipse.*'
    Note, selecting 'libeclipse-e4-emf-xpath-java' for regex 'eclipse.*'
    Note, selecting 'libeclipselink-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-platform-gcj' for regex 'eclipse.*'
    Note, selecting 'redeclipse-server' for regex 'eclipse.*'
    Note, selecting 'libeclipse-osgi-services-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-team-core-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-jdt' for regex 'eclipse.*'
    Note, selecting 'libeclipse-e4-ui-workbench-addons-swt-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-ui-ide-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-jdt-debug-ui-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-jni' for regex 'eclipse.*'
    Note, selecting 'libeclipse-core-runtime-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-core-databinding-property-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-ui-views-properties-tabbed-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-jdt-junit-core-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-ui-editors-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-ltk-core-refactoring-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-mylyn-wikitext' for regex 'eclipse.*'
    Note, selecting 'libeclipse-jdt-debug-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-rcp-gcj' for regex 'eclipse.*'
    Note, selecting 'libeclipse-jdt-core-manipulation-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-mylyn-tasks-bugzilla' for regex 'eclipse.*'
    Note, selecting 'eclipse-pde' for regex 'eclipse.*'
    Note, selecting 'eclipse-mercurialeclipse' for regex 'eclipse.*'
    Note, selecting 'eclipse-platform-nls' for regex 'eclipse.*'
    Note, selecting 'libeclipse-compare-core-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-jdt-compiler-tool-java' for regex 'eclipse.*'
    Note, selecting 'libeclipse-e4-ui-swt-gtk-java' for regex 'eclipse.*'
    Note, selecting 'golang-eclipse-paho-dev' for regex 'eclipse.*'
    Note, selecting 'libeclipse-e4-ui-css-core-java' for regex 'eclipse.*'
    Note, selecting 'eclipse-rcp' for regex 'eclipse.*'
    Note, selecting 'libeclipse-jdt-junit-runtime-java' for regex 'eclipse.*'
    Package 'eclipse-jdt-gcj' is not installed, so not removed
    Package 'eclipse-pde-gcj' is not installed, so not removed
    Package 'eclipse-common-nls' is not installed, so not removed
    Package 'eclipse-platform-common' is not installed, so not removed
    Package 'eclipse-platform-nls' is not installed, so not removed
    Package 'libeclipse-jni' is not installed, so not removed
    Package 'eclipse-source' is not installed, so not removed
    Package 'eclipse-plugin-cvs' is not installed, so not removed
    Package 'eclipse-platform-gcj' is not installed, so not removed
    Package 'eclipse-rcp-gcj' is not installed, so not removed
    Note, selecting 'golang-github-eclipse-paho.mqtt.golang-dev' instead of 'golang-eclipse-paho-dev'
    Package 'eclipse-jgit' is not installed, so not removed
    Package 'eclipse' is not installed, so not removed
    Package 'eclipse-anyedit' is not installed, so not removed
    Package 'eclipse-cdt' is not installed, so not removed
    Package 'eclipse-cdt-autotools' is not installed, so not removed
    Package 'eclipse-cdt-jni' is not installed, so not removed
    Package 'eclipse-cdt-launch-remote' is not installed, so not removed
    Package 'eclipse-cdt-perf' is not installed, so not removed
    Package 'eclipse-cdt-pkg-config' is not installed, so not removed
    Package 'eclipse-cdt-profiling-framework' is not installed, so not removed
    Package 'eclipse-cdt-profiling-framework-remote' is not installed, so not removed
    Package 'eclipse-cdt-qt' is not installed, so not removed
    Package 'eclipse-cdt-valgrind' is not installed, so not removed
    Package 'eclipse-changelog' is not installed, so not removed
    Package 'eclipse-eclox' is not installed, so not removed
    Package 'eclipse-egit' is not installed, so not removed
    Package 'eclipse-egit-mylyn' is not installed, so not removed
    Package 'eclipse-emf' is not installed, so not removed
    Package 'eclipse-emf-examples' is not installed, so not removed
    Package 'eclipse-emf-sdk' is not installed, so not removed
    Package 'eclipse-gef' is not installed, so not removed
    Package 'eclipse-gef-doc' is not installed, so not removed
    Package 'eclipse-jdt' is not installed, so not removed
    Package 'eclipse-mercurialeclipse' is not installed, so not removed
    Package 'eclipse-mylyn' is not installed, so not removed
    Package 'eclipse-mylyn-builds-hudson' is not installed, so not removed
    Package 'eclipse-mylyn-context-cdt' is not installed, so not removed
    Package 'eclipse-mylyn-context-jdt' is not installed, so not removed
    Package 'eclipse-mylyn-context-pde' is not installed, so not removed
    Package 'eclipse-mylyn-context-pydev' is not installed, so not removed
    Package 'eclipse-mylyn-tasks-bugzilla' is not installed, so not removed
    Package 'eclipse-mylyn-tasks-github' is not installed, so not removed
    Package 'eclipse-mylyn-tasks-trac' is not installed, so not removed
    Package 'eclipse-mylyn-versions-cvs' is not installed, so not removed
    Package 'eclipse-mylyn-wikitext' is not installed, so not removed
    Package 'eclipse-pde' is not installed, so not removed
    Package 'eclipse-platform' is not installed, so not removed
    Package 'eclipse-platform-data' is not installed, so not removed
    Package 'eclipse-ptp-rdt' is not installed, so not removed
    Package 'eclipse-pydev' is not installed, so not removed
    Package 'eclipse-pydev-data' is not installed, so not removed
    Package 'eclipse-rcp' is not installed, so not removed
    Package 'eclipse-remote-services-api' is not installed, so not removed
    Package 'eclipse-rpm-editor' is not installed, so not removed
    Package 'eclipse-rse' is not installed, so not removed
    Package 'eclipse-rse-sdk' is not installed, so not removed
    Package 'eclipse-subclipse' is not installed, so not removed
    Package 'eclipse-subclipse-graph' is not installed, so not removed
    Package 'eclipse-subclipse-mylyn' is not installed, so not removed
    Package 'eclipse-wtp' is not installed, so not removed
    Package 'eclipse-wtp-servertools' is not installed, so not removed
    Package 'eclipse-wtp-webtools' is not installed, so not removed
    Package 'eclipse-wtp-ws' is not installed, so not removed
    Package 'eclipse-wtp-xmltools' is not installed, so not removed
    Package 'eclipse-wtp-xsl' is not installed, so not removed
    Package 'eclipse-xsd' is not installed, so not removed
    Package 'eclipse-xsd-sdk' is not installed, so not removed
    Package 'golang-github-eclipse-paho.mqtt.golang-dev' is not installed, so not removed
    Package 'libcommons-jci-eclipse-java' is not installed, so not removed
    Package 'redeclipse' is not installed, so not removed
    Package 'redeclipse-common' is not installed, so not removed
    Package 'redeclipse-data' is not installed, so not removed
    Package 'redeclipse-server' is not installed, so not removed
    Package 'eclipse-debian-helper' is not installed, so not removed
    Package 'eclipse-titan' is not installed, so not removed
    Package 'libeclipse-compare-core-java' is not installed, so not removed
    Package 'libeclipse-compare-java' is not installed, so not removed
    Package 'libeclipse-core-commands-java' is not installed, so not removed
    Package 'libeclipse-core-contenttype-java' is not installed, so not removed
    Package 'libeclipse-core-databinding-beans-java' is not installed, so not removed
    Package 'libeclipse-core-databinding-java' is not installed, so not removed
    Package 'libeclipse-core-databinding-observable-java' is not installed, so not removed
    Package 'libeclipse-core-databinding-property-java' is not installed, so not removed
    Package 'libeclipse-core-expressions-java' is not installed, so not removed
    Package 'libeclipse-core-externaltools-java' is not installed, so not removed
    Package 'libeclipse-core-filebuffers-java' is not installed, so not removed
    Package 'libeclipse-core-filesystem-java' is not installed, so not removed
    Package 'libeclipse-core-jobs-java' is not installed, so not removed
    Package 'libeclipse-core-net-java' is not installed, so not removed
    Package 'libeclipse-core-resources-java' is not installed, so not removed
    Package 'libeclipse-core-runtime-java' is not installed, so not removed
    Package 'libeclipse-core-variables-java' is not installed, so not removed
    Package 'libeclipse-debug-core-java' is not installed, so not removed
    Package 'libeclipse-debug-ui-java' is not installed, so not removed
    Package 'libeclipse-e4-core-commands-java' is not installed, so not removed
    Package 'libeclipse-e4-core-contexts-java' is not installed, so not removed
    Package 'libeclipse-e4-core-di-annotations-java' is not installed, so not removed
    Package 'libeclipse-e4-core-di-extensions-java' is not installed, so not removed
    Package 'libeclipse-e4-core-di-extensions-supplier-java' is not installed, so not removed
    Package 'libeclipse-e4-core-di-java' is not installed, so not removed
    Package 'libeclipse-e4-core-services-java' is not installed, so not removed
    Package 'libeclipse-e4-emf-xpath-java' is not installed, so not removed
    Package 'libeclipse-e4-ui-bindings-java' is not installed, so not removed
    Package 'libeclipse-e4-ui-css-core-java' is not installed, so not removed
    Package 'libeclipse-e4-ui-css-swt-java' is not installed, so not removed
    Package 'libeclipse-e4-ui-css-swt-theme-java' is not installed, so not removed
    Package 'libeclipse-e4-ui-di-java' is not installed, so not removed
    Package 'libeclipse-e4-ui-dialogs-java' is not installed, so not removed
    Package 'libeclipse-e4-ui-model-workbench-java' is not installed, so not removed
    Package 'libeclipse-e4-ui-progress-java' is not installed, so not removed
    Package 'libeclipse-e4-ui-services-java' is not installed, so not removed
    Package 'libeclipse-e4-ui-swt-gtk-java' is not installed, so not removed
    Package 'libeclipse-e4-ui-widgets-java' is not installed, so not removed
    Package 'libeclipse-e4-ui-workbench-addons-swt-java' is not installed, so not removed
    Package 'libeclipse-e4-ui-workbench-java' is not installed, so not removed
    Package 'libeclipse-e4-ui-workbench-renderers-swt-java' is not installed, so not removed
    Package 'libeclipse-e4-ui-workbench-swt-java' is not installed, so not removed
    Package 'libeclipse-e4-ui-workbench3-java' is not installed, so not removed
    Package 'libeclipse-emf-common-java' is not installed, so not removed
    Package 'libeclipse-emf-ecore-java' is not installed, so not removed
    Package 'libeclipse-emf-ecore-xmi-java' is not installed, so not removed
    Package 'libeclipse-help-java' is not installed, so not removed
    Package 'libeclipse-jdt-annotation-java' is not installed, so not removed
    Package 'libeclipse-jdt-apt-core-java' is not installed, so not removed
    Package 'libeclipse-jdt-apt-pluggable-core-java' is not installed, so not removed
    Package 'libeclipse-jdt-astview-java' is not installed, so not removed
    Package 'libeclipse-jdt-compiler-apt-java' is not installed, so not removed
    Package 'libeclipse-jdt-compiler-tool-java' is not installed, so not removed
    Package 'libeclipse-jdt-core-java' is not installed, so not removed
    Package 'libeclipse-jdt-core-manipulation-java' is not installed, so not removed
    Package 'libeclipse-jdt-debug-java' is not installed, so not removed
    Package 'libeclipse-jdt-debug-ui-java' is not installed, so not removed
    Package 'libeclipse-jdt-junit-core-java' is not installed, so not removed
    Package 'libeclipse-jdt-junit-runtime-java' is not installed, so not removed
    Package 'libeclipse-jdt-junit4-runtime-java' is not installed, so not removed
    Package 'libeclipse-jdt-launching-java' is not installed, so not removed
    Package 'libeclipse-jdt-ui-java' is not installed, so not removed
    Package 'libeclipse-jface-databinding-java' is not installed, so not removed
    Package 'libeclipse-jface-java' is not installed, so not removed
    Package 'libeclipse-jface-text-java' is not installed, so not removed
    Package 'libeclipse-jsch-core-java' is not installed, so not removed
    Package 'libeclipse-ltk-core-refactoring-java' is not installed, so not removed
    Package 'libeclipse-ltk-ui-refactoring-java' is not installed, so not removed
    Package 'libeclipse-osgi-compatibility-state-java' is not installed, so not removed
    Package 'libeclipse-osgi-java' is not installed, so not removed
    Package 'libeclipse-osgi-services-java' is not installed, so not removed
    Package 'libeclipse-osgi-util-java' is not installed, so not removed
    Package 'libeclipse-search-java' is not installed, so not removed
    Package 'libeclipse-team-core-java' is not installed, so not removed
    Package 'libeclipse-team-genericeditor-diff-extension-java' is not installed, so not removed
    Package 'libeclipse-team-ui-java' is not installed, so not removed
    Package 'libeclipse-text-java' is not installed, so not removed
    Package 'libeclipse-ui-browser-java' is not installed, so not removed
    Package 'libeclipse-ui-console-java' is not installed, so not removed
    Package 'libeclipse-ui-editors-java' is not installed, so not removed
    Package 'libeclipse-ui-externaltools-java' is not installed, so not removed
    Package 'libeclipse-ui-forms-java' is not installed, so not removed
    Package 'libeclipse-ui-genericeditor-java' is not installed, so not removed
    Package 'libeclipse-ui-ide-application-java' is not installed, so not removed
    Package 'libeclipse-ui-ide-java' is not installed, so not removed
    Package 'libeclipse-ui-java' is not installed, so not removed
    Package 'libeclipse-ui-monitoring-java' is not installed, so not removed
    Package 'libeclipse-ui-navigator-java' is not installed, so not removed
    Package 'libeclipse-ui-views-java' is not installed, so not removed
    Package 'libeclipse-ui-views-properties-tabbed-java' is not installed, so not removed
    Package 'libeclipse-ui-workbench-java' is not installed, so not removed
    Package 'libeclipse-ui-workbench-texteditor-java' is not installed, so not removed
    Package 'libeclipse-urischeme-java' is not installed, so not removed
    Package 'libeclipselink-java' is not installed, so not removed
    Package 'libeclipselink-java-doc' is not installed, so not removed
    Package 'libequinox-p2-publisher-eclipse-java' is not installed, so not removed
    Package 'libequinox-p2-touchpoint-eclipse-java' is not installed, so not removed
    0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
    After this, still Eclipse IDE runs I am unable to remove it.
    Could you please help?

  5. #5
    Join Date
    Mar 2010
    Location
    Squidbilly-Land
    Beans
    Hidden!
    Distro
    Ubuntu Mate 16.04 Xenial Xerus

    Re: Uninstalling Eclipse from Ubuntu 18.04 Command line does not work

    Looks like eclipse-workspace is semi-installed still. Reinstall that specific package - I bet there will be some failure with this that must be resolved - then try the command I provided again.

    Use
    Code:
    sudo apt install  --no-install-recommends eclipse-workspace
    On my machine, that package isn't available, so I suspect a PPA might have been used which is no longer available for some reason on your box.

  6. #6
    Join Date
    Jul 2013
    Location
    Mumbai, India
    Beans
    14
    Distro
    Ubuntu 18.04 Bionic Beaver

    Re: Uninstalling Eclipse from Ubuntu 18.04 Command line does not work

    Hello,
    Its still says E: Unable to locate package eclipse-workspace
    I am pasting the output of the command here:

    Code:
    ramasea1 ~ $ sudo apt install  --no-install-recommends eclipse-workspace
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    E: Unable to locate package eclipse-workspace
    Does this have something to do with my cannonical package sources? Should I update them?

    Regards,
    Ajay

  7. #7
    Join Date
    Mar 2010
    Location
    Squidbilly-Land
    Beans
    Hidden!
    Distro
    Ubuntu Mate 16.04 Xenial Xerus

    Re: Uninstalling Eclipse from Ubuntu 18.04 Command line does not work

    sudo apt update needs to be run at least within a few hours BEFORE doing any other APT or package commands. Other distros automatically update the local package cache. Ubuntu and Debian do not.
    https://packages.ubuntu.com/search?keywords=eclipse doesn't show eclipse-workspace package as part of the Ubuntu Universe repository, so it was either manually installed as a .deb file or using some PPA. You'll have to figure out which. I have no idea.

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •